<?php

/*-------------------------------------------------------------- 
Artikel: Sicherheitsfeld mit PHP, GDlib und Freetype ----
Internet: www.contentcharge.de , Mail: info@contentcharge.de
Disclaimer: Fuer den Einsatz dieses Scriptes und
evtl. daraus resultierenden Folgen uebernehmen wir 
keine Haftung.

Article: Securityfield (captcha) with PHP, GDlib and Freetype
Contact: www.contentcharge.de, Mail: info@contentcharge.de
Disclaimer: We are not responsible for the use of this ressource
in part or whole. So use at your own risk.

Copyright 2004 Contentcharge-Media, Christian Lehmann
---------------------------------------------------------------*/

//DE: headerinfo fuer PNG-Bilder
//ENG: Headerinfo needed for PNG-Pictures
header('Content-type: image/png');

//DE: Bereitstellen des Image-Objektes
//ENG: Preparation of the Image-Object
$img = ImageCreateFromPNG('security_background.png');

//DE: Textfeld-Wert
//ENG: Textfield-Value
$text= '12345';

//DE: Festlegen der Schriftfarbe
//ENG: Set the color of the Text
$color = ImageColorAllocate($img, 0, 0, 0);

//DE: Schrifttyp-Einstellungen
//ENG: Settings used by imagettftext
$ttf = 'pristina.ttf';
$ttfsize = 30; 
$angle = 0;
$text_x = 30;
$text_y = 30;

//DE: Einfuegen des Textes ins Image-Objekt
//ENG: Function to add the text to the Image-Object
imagettftext($img, $ttfsize, $angle, $text_x, $text_y, $color, $ttf, $text);

//DE: Ausgabe des Image-Objektes
//ENG: Send the created Image back to the browser
imagepng($img);

//DE: Loeschen des Image-Objektes
//ENG: Delete the no longer needed image
imagedestroy($img);

?>

